def sumtree(L, trace=False):
    tot = 0
    for x in L:                                 # Dla każdego elementu na tym poziomie
        if not isinstance(x, list):
            tot += x                            # Bezpośrednie dodawanie liczb
            if trace: print(x, end=', ')
        else:
            tot += sumtree(x, trace)            # Rekurencja dla podlist
    return tot

